mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices._SignatureHelper System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._SignatureHelper)) System.Runtime.InteropServices.ComVisible(true)

Use the class to create a signature blob that can be passed to the method of the class. A object can also be passed to the method overload to insert an instruction and a signature token into a Microsoft intermediate language (MSIL) stream. For information on signature blobs and signature metadata, see the ECMA Partition II Metadata documentation.

The ECMA Partition II documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

Provides methods for building signatures.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  To add an argument with optional or required custom modifiers, use the method overload.

  Adds an argument to the signature.

  The type of the argument.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  To add an argument with optional or required custom modifiers, use the method overload.

  Adds an argument of the specified type to the signature, specifying whether the argument is pinned.

  The argument type. true if the argument is pinned; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  See the namespace for classes that represent custom modifiers.

  Adds an argument to the signature, with the specified custom modifiers.

  The argument type. An array of types representing the required custom modifiers for the argument, such as or . If the argument has no required custom modifiers, specify null. An array of types representing the optional custom modifiers for the argument, such as or . If the argument has no optional custom modifiers, specify null.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The arguments are added to the end of the signature, in order of the elements of .

  See the namespace for classes that represent custom modifiers.

  Adds a set of arguments to the signature, with the specified custom modifiers.

  The types of the arguments to be added. An array of arrays of types. Each array of types represents the required custom modifiers for the corresponding argument, such as or . If a particular argument has no required custom modifiers, specify null instead of an array of types. If none of the arguments have required custom modifiers, specify null instead of an array of arrays. An array of arrays of types. Each array of types represents the optional custom modifiers for the corresponding argument, such as or . If a particular argument has no optional custom modifiers, specify null instead of an array of types. If none of the arguments have optional custom modifiers, specify null instead of an array of arrays.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Marks the end of a vararg fixed part. This is only used if the caller is creating a vararg signature call site.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Checks if this instance is equal to the given object.

  true if the given object is a SignatureHelper and represents the same signature; otherwise, false.

  The object with which this instance should be compared.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureHelper `` To be added

  Returns a signature helper for a field.

  The SignatureHelper object for a field.

  The dynamic module that contains the field for which the SignatureHelper is requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The hash code is created from the name of this instance, so the return value is the same as if the GetHashCode method were called on the value of the Name property.

  Creates and returns a hash code for this instance.

  Returns the hash code based on the name.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureHelper To be added.

  Returns a signature helper for a local variable.

  A for a local variable.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureHelper `` To be added

  Returns a signature helper for a local variable.

  The SignatureHelper object for a local variable.

  The dynamic module that contains the local variable for which the SignatureHelper is requested.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureHelper `` `` To be added.

  Returns a signature helper for a method given the method's calling convention and return type.

  The SignatureHelper object for a method.

  The calling convention of the method. The return type of the method, or null for a void return type (Sub procedure in Visual Basic).
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureHelper `` `` To be added.

  Returns a signature helper for a method given the method's unmanaged calling convention and return type.

  The SignatureHelper object for a method.

  The unmanaged calling convention of the method. The return type of the method, or null for a void return type (Sub procedure in Visual Basic).
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureHelper `` `` `` To be added

  Returns a signature helper for a method given the method's module, calling convention, and return type.

  The SignatureHelper object for a method.

  The that contains the method for which the SignatureHelper is requested. The calling convention of the method. The return type of the method, or null for a void return type (Sub procedure in Visual Basic).
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureHelper `` `` `` To be added

  Returns a signature helper for a method given the method's module, unmanaged calling convention, and return type.

  The SignatureHelper object for a method.

  The that contains the method for which the SignatureHelper is requested. The unmanaged calling convention of the method. The return type of the method, or null for a void return type (Sub procedure in Visual Basic).
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureHelper `` `` ``

  This overload creates a signature with a standard calling convention.

  To create a method signature with custom modifiers, use the method overload and then use the or method overloads to add arguments with custom modifiers.

  Returns a signature helper for a method with a standard calling convention, given the method's module, return type, and argument types.

  The SignatureHelper object for a method.

  The that contains the method for which the SignatureHelper is requested. The return type of the method, or null for a void return type (Sub procedure in Visual Basic). The types of the arguments of the method, or null if the method has no arguments.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureHelper `` `` ``

  To create a signature helper for a property with optional or required custom modifiers, use the method overload.

  Returns a signature helper for a property, given the dynamic module that contains the property, the property type, and the property arguments.

  A object for a property.

  The that contains the property for which the is requested. The property type. The argument types, or null if the property has no arguments.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.SignatureHelper `` `` `` `` `` `` ``

  See the namespace for classes that represent custom modifiers.

  If a property has no custom modifiers, use the method overload.

  Returns a signature helper for a property, given the dynamic module that contains the property, the property type, the property arguments, and custom modifiers for the return type and arguments.

  A object for a property.

  The that contains the property for which the is requested. The property type. An array of types representing the required custom modifiers for the return type, such as or . If the return type has no required custom modifiers, specify null. An array of types representing the optional custom modifiers for the return type, such as or . If the return type has no optional custom modifiers, specify null. The types of the property's arguments, or null if the property has no arguments. An array of arrays of types. Each array of types represents the required custom modifiers for the corresponding argument of the property. If a particular argument has no required custom modifiers, specify null instead of an array of types. If the property has no arguments, or if none of the arguments have required custom modifiers, specify null instead of an array of arrays. An array of arrays of types. Each array of types represents the optional custom modifiers for the corresponding argument of the property. If a particular argument has no optional custom modifiers, specify null instead of an array of types. If the property has no arguments, or if none of the arguments have optional custom modifiers, specify null instead of an array of arrays.
- Method
  4.0.0.0
  System.Reflection.Emit.SignatureHelper `` `` `` `` `` `` `` ``

  See the namespace for classes that represent custom modifiers.

  If a property has no custom modifiers, use the method overload.

  This method overload is introduced in the net_v35_long or later.

  Returns a signature helper for a property, given the dynamic module that contains the property, the calling convention, the property type, the property arguments, and custom modifiers for the return type and arguments.

  A object for a property.

  The that contains the property for which the is requested. The calling convention of the property accessors. The property type. An array of types representing the required custom modifiers for the return type, such as or . If the return type has no required custom modifiers, specify null. An array of types representing the optional custom modifiers for the return type, such as or . If the return type has no optional custom modifiers, specify null. The types of the property's arguments, or null if the property has no arguments. An array of arrays of types. Each array of types represents the required custom modifiers for the corresponding argument of the property. If a particular argument has no required custom modifiers, specify null instead of an array of types. If the property has no arguments, or if none of the arguments have required custom modifiers, specify null instead of an array of arrays. An array of arrays of types. Each array of types represents the optional custom modifiers for the corresponding argument of the property. If a particular argument has no optional custom modifiers, specify null instead of an array of types. If the property has no arguments, or if none of the arguments have optional custom modifiers, specify null instead of an array of arrays.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added

  Adds the end token to the signature and marks the signature as finished, so no further tokens can be added.

  Returns a byte array made up of the full signature.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns a string representing the signature arguments.

  Returns a string representing the arguments of this signature.